/*
 *
 *  This file ist part of the software MonaLisa.
 *  MonaLisa is free software, dependend on non-free software. For more information read LICENCE and README.
 *
 *  (c) Molekulare Bioinformatik, Goethe University Frankfurt, Frankfurt am Main, Germany
 *
 */

package monalisa.addons.netviewer;

import edu.uci.ics.jung.graph.Graph;
import edu.uci.ics.jung.graph.util.Context;
import org.apache.commons.collections15.Predicate;

/**
 * This class decides if an edge is rendered or not
 * @author Jens Einloft
 */
public class EdgeIncludePredicate implements Predicate<Context<Graph<NetViewerNode, NetViewerEdge>, NetViewerEdge>>{

    public boolean evaluate(Context<Graph<NetViewerNode, NetViewerEdge>, NetViewerEdge> t) {
        return t.element.getVisible();
    }

}
